# 전자서명 목록 조회 API

전자서명 목록을 조회할 수 있는 API를 제공합니다.

<br>

## `GET` kit-api/v1/signatures

Method: GET\
Endpoint: kit-api/v1/signatures

<br>

## Example

```
...kit-api/v1/signatures?createdAtAfter=2024-11-19T06:00:00.000Z
```

<br>

## Request Query

| Key             | Description                           | Required |
| --------------- | ------------------------------------- | -------- |
| createdAtAfter  | 특정시간 이후의 사용량 목록 조회용 파라미터 (ISO UTC 포맷) | no       |
| createdAtBefore | 특정시간 이전의 사용량 목록 조회용 파라미터 (ISO UTC 포맷) | no       |
| limit           | 목록 개수 (default 10, max 100)           | no       |
| offset          | 스킵할 목록 개수                             | no       |

<br>

## Response

```json
{
  "ok": true,
  "data": {
    "total": 1,
    "data": [
      {
        "uuid": "57139f5c-37d0-4c30-bdb6-ef6106040756", // 전자서명 식별값
        "title": "A컴퍼니 MOU 전자서명", // 전자서명 제목
        "expiredDate": "2024-10-15T00:00:00.000Z", // 전자서명 만료일
        "status": "WAITING", // 전자서명 상태 (CREATED, WAITING, DONE, CANCELED)
        "createdAt": "2024-07-15T00:00:00.000Z" // 생성일
      }
    ]
  }
}
```

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/signature-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
